# Function initializeCollection

- initializeCollection<T>(collection, options?): Promise<void>

- Initializes a collection of InitializableBase items.

  #### Type Parameters

  - T extends InitializableBase<InitializableBaseProperties> = InitializableBase<InitializableBaseProperties>

  #### Parameters

  - collection: Collection<T>

    The collection of items to initialize.

  - options: InitializeCollectionOptions = DEFAULT_INITIALIZE_COLLECTION_OPTIONS

    Options including a callback and target for handling errors thrown by collection items with failureMode "warn".

  #### Returns Promise<void>